Difference between revisions of "AM3/How Install AM3 From SVN"

From Eclipsepedia

< AM3
Jump to: navigation, search
 
Line 5: Line 5:
 
In order to use these AM3 plugins (ATLAS MegaModel Management), you need Eclipse, EMF and ATL. These plugins have been tested with Eclipse 3.4, EMF 2.4 and ATL 2.0 and are compatible. You can download Eclipse here: http://www.eclipse.org/downloads/, EMF here: http://www.eclipse.org/emf/.  
 
In order to use these AM3 plugins (ATLAS MegaModel Management), you need Eclipse, EMF and ATL. These plugins have been tested with Eclipse 3.4, EMF 2.4 and ATL 2.0 and are compatible. You can download Eclipse here: http://www.eclipse.org/downloads/, EMF here: http://www.eclipse.org/emf/.  
  
Note that the version of ATL compatible with these plugins can be get following the process detailed in [http://wiki.eclipse.org/ATL/How_Install_ATL_(Dev)_From_CVS "How Install ATL (Dev) From CVS" Wiki page].
+
Note that the version of ATL compatible with these plugins can be obtained following the process detailed in the [http://wiki.eclipse.org/ATL/How_Install_ATL_(Dev)_From_CVS "How Install ATL (Dev) From CVS" Wiki page].
  
  

Latest revision as of 08:03, 17 November 2008

Contents

[edit] Installation of the old AM3 plugins (for ATL developers) from SVN

[edit] Install Eclipse, EMF and ATL

In order to use these AM3 plugins (ATLAS MegaModel Management), you need Eclipse, EMF and ATL. These plugins have been tested with Eclipse 3.4, EMF 2.4 and ATL 2.0 and are compatible. You can download Eclipse here: http://www.eclipse.org/downloads/, EMF here: http://www.eclipse.org/emf/.

Note that the version of ATL compatible with these plugins can be obtained following the process detailed in the "How Install ATL (Dev) From CVS" Wiki page.


[edit] Configuration of SVN access

You should go to the SVN Repository view (you should first do Window -> Open Perspective in order to open the SVN Repository Exploring perspective). Then you should add a new repository location. The required parameters are the followings:

AM3 SVNRepositoryLocation.PNG

You do not need a password.

Then, you can go to deprecated -> trunk. You can now select the projects as shown on the screenshot and check them out into your workspace (this action is available in the context menu).

AM3old SVNCheckout.PNG

[edit] Configuration of the old AM3 plugins

Now, you need to go to the Plug-in perspective.

The old AM3 plugins are ready to be tested. Just open the "Plug-in Development perspective" and launch a Run-time workbench (Click on Run -> Run as -> Run-time workbench).

You are ready to use the old AM3 plugins.